changeset 3724:44445a59a718

Removed scripts that have been replaced by mx/commands.py.
author Doug Simon <doug.simon@oracle.com>
date Fri, 16 Dec 2011 16:47:05 +0100
parents 6c5f528c7aac
children 797231769db8
files .hgignore domake runavrora.sh runbatik.sh runbootstrap.sh rundacapo.sh runeclipse.sh runfilter.sh runfop.sh runh2.sh runjython.sh runlusearch.sh runpmd.sh runtests.sh runxalan.sh
diffstat 15 files changed, 0 insertions(+), 252 deletions(-) [+]
line wrap: on
line diff
--- a/.hgignore	Fri Dec 16 16:46:33 2011 +0100
+++ b/.hgignore	Fri Dec 16 16:47:05 2011 +0100
@@ -33,7 +33,6 @@
 ^scratch/
 scratch/
 bin/
-pytools/glrc
 ^local/
 ^src/share/tools/hsdis/build/
 ^src/share/tools/IdealGraphVisualizer/[a-zA-Z0-9]*/build/
--- a/domake	Fri Dec 16 16:46:33 2011 +0100
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,56 +0,0 @@
-#!/bin/bash
-
-test -n "$JDK7" || { echo "Need to set JDK7 environment variable to the base of a JDK 1.7"; exit 1; }
-test -n "$JDK7G" || { echo "Need to set JDK7G environment variable to the base of a JDK 1.7"; exit 1; }
-
-# Resolve location of this script
-me="${BASH_SOURCE[0]}"
-while [ -h "$me" ]; do
-    me=`readlink -e "$me"`
-done
-graal_home=$(cd `dirname $me`; pwd)
-
-grep -- '-graal KNOWN' $JDK7/jre/lib/amd64/jvm.cfg >/dev/null
-if [ $? -ne 0 ] ; then
-    echo "The setting for -graal in $JDK7/jre/lib/amd64/jvm.cfg must be (insert if missing):"
-    echo
-    echo "  -graal KNOWN"
-    echo
-    exit 1
-fi
-
-grep -- '-graal KNOWN' $JDK7G/jre/lib/amd64/jvm.cfg >/dev/null
-if [ $? -ne 0 ] ; then
-    echo "The setting for -graal in $JDK7G/jre/lib/amd64/jvm.cfg must be (insert if missing):"
-    echo
-    echo "  -graal KNOWN"
-    echo
-    exit 1
-fi
-
-java_link="$graal_home/graal/hotspot/java"
-if [ ! -e $java_link ]; then
-    echo "Creating link: $java_link -> $JDK7/jre/bin/java"
-    ln -s $JDK7/jre/bin/java $java_link
-fi
-
-graal_dir=$JDK7/jre/lib/amd64/graal/
-if [ ! -e $graal_dir ]; then
-    echo "Creating graal compiler dir: $graal_dir"
-    mkdir $graal_dir
-fi
-
-graaldbg_dir=$JDK7G/jre/lib/amd64/graal/
-if [ ! -e $graaldbg_dir ]; then
-    echo "Creating debug graal compiler dir: $graaldbg_dir"
-    mkdir $graaldbg_dir
-fi
-
-pushd $graal_home/make
-
-# the piping magic runs stderr through grep and removes the complaints about Xusage.txt files
-ARCH_DATA_MODEL=64 LANG=C HOTSPOT_BUILD_JOBS=3 ALT_BOOTDIR=$JDK7 INSTALL=y make productgraal 3>&1 1>&2 2>&3 | grep -v Xusage[.]txt
-ARCH_DATA_MODEL=64 LANG=C HOTSPOT_BUILD_JOBS=3 ALT_BOOTDIR=$JDK7G INSTALL=y make jvmggraal 3>&1 1>&2 2>&3 | grep -v Xusage[.]txt
-
-popd
-
--- a/runavrora.sh	Fri Dec 16 16:46:33 2011 +0100
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,16 +0,0 @@
-#!/bin/bash
-if [ -z "${JDK7}" ]; then
-  echo "JDK7 is not defined."
-  exit 1;
-fi
-if [ -z "${MAXINE}" ]; then
-  echo "MAXINE is not defined. It must point to a maxine repository directory."
-  exit 1;
-fi
-if [ -z "${DACAPO}" ]; then
-  echo "DACAPO is not defined. It must point to a Dacapo benchmark directory."
-  exit 1;
-fi
-COMMAND="${JDK7}/bin/java -graal -Xms1g -Xmx2g -esa -classpath ${DACAPO}/dacapo-9.12-bach.jar -XX:-GraalBailoutIsFatal -G:-QuietBailout $* Harness --preserve -n 20 avrora"
-echo $COMMAND
-$COMMAND
--- a/runbatik.sh	Fri Dec 16 16:46:33 2011 +0100
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,16 +0,0 @@
-#!/bin/bash
-if [ -z "${JDK7}" ]; then
-  echo "JDK7 is not defined."
-  exit 1;
-fi
-if [ -z "${MAXINE}" ]; then
-  echo "MAXINE is not defined. It must point to a maxine repository directory."
-  exit 1;
-fi
-if [ -z "${DACAPO}" ]; then
-  echo "DACAPO is not defined. It must point to a Dacapo benchmark directory."
-  exit 1;
-fi
-COMMAND="${JDK7}/bin/java -graal -Xms1g -Xmx2g -esa -classpath ${DACAPO}/dacapo-9.12-bach.jar -XX:-GraalBailoutIsFatal -G:-QuietBailout $* Harness --preserve -n 20 batik"
-echo $COMMAND
-$COMMAND
--- a/runbootstrap.sh	Fri Dec 16 16:46:33 2011 +0100
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,10 +0,0 @@
-#!/bin/bash
-if [ -z "${JDK7}" ]; then
-  echo "JDK7 is not defined."
-  exit 1;
-fi
-if [ -z "${MAXINE}" ]; then
-  echo "MAXINE is not defined. It must point to a maxine repository directory."
-  exit 1;
-fi
-${JDK7}/bin/java -graal $* -version 
--- a/rundacapo.sh	Fri Dec 16 16:46:33 2011 +0100
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,14 +0,0 @@
-#!/bin/bash
-if [ -z "${JDK7}" ]; then
-  echo "JDK7 is not defined."
-  exit 1;
-fi
-if [ -z "${MAXINE}" ]; then
-  echo "MAXINE is not defined. It must point to a maxine repository directory."
-  exit 1;
-fi
-if [ -z "${DACAPO}" ]; then
-  echo "DACAPO is not defined. It must point to a Dacapo benchmark directory."
-  exit 1;
-fi
-${JDK7}/bin/java -graal -XX:-GraalBailoutIsFatal -XX:MaxPermSize=512m -XX:+PrintCompilation -Xms1g -Xmx2g -esa -classpath ${DACAPO}/dacapo-9.12-bach.jar Harness --preserve $*
--- a/runeclipse.sh	Fri Dec 16 16:46:33 2011 +0100
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,17 +0,0 @@
-#!/bin/bash
-if [ -z "${JDK7}" ]; then
-  echo "JDK7 is not defined."
-  exit 1;
-fi
-if [ -z "${MAXINE}" ]; then
-  echo "MAXINE is not defined. It must point to a Maxine repository directory."
-  exit 1;
-fi
-if [ ! -f "${DACAPO}/dacapo-9.12-bach.jar" ]; then
-  echo "DACAPO must point to a directory containing dacapo-9.12-bach.jar"
-  exit 1;
-fi
-COMMAND="${JDK7}/bin/java -graal -Xms1g -Xmx2g -esa -classpath ${DACAPO}/dacapo-9.12-bach.jar -XX:-GraalBailoutIsFatal -G:-QuietBailout $* Harness --preserve -n 15 eclipse"
-echo $COMMAND
-$COMMAND
-echo $COMMAND
--- a/runfilter.sh	Fri Dec 16 16:46:33 2011 +0100
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,19 +0,0 @@
-#!/bin/bash
-if [ -z "${JDK7}" ]; then
-  echo "JDK7 is not defined."
-  exit 1;
-fi
-if [ -z "${MAXINE}" ]; then
-  echo "MAXINE is not defined. It must point to a maxine repository directory."
-  exit 1;
-fi
-if [ $# -lt 1 ]; then
-  echo "You must provide at least a filter option"
-  exit 1;
-fi
-FILTER=$1
-shift 1
-TESTDIR=${MAXINE}/com.oracle.max.vm/test
-COMMAND="${JDK7}/bin/java -graal -ea -esa -Xcomp -G:Plot -XX:+PrintCompilation -XX:CompileOnly=jtt -Xbootclasspath/p:"${MAXINE}/com.oracle.max.vm/bin" -Xbootclasspath/p:"${MAXINE}/com.oracle.max.base/bin" $@ test.com.sun.max.vm.compiler.JavaTester -filter=${FILTER} -verbose=1 -gen-run-scheme=false -run-scheme-package=all $@ ${TESTDIR}/jtt/bytecode ${TESTDIR}/jtt/except ${TESTDIR}/jtt/hotpath ${TESTDIR}/jtt/jdk ${TESTDIR}/jtt/lang ${TESTDIR}/jtt/loop ${TESTDIR}/jtt/micro ${TESTDIR}/jtt/optimize ${TESTDIR}/jtt/reflect ${TESTDIR}/jtt/threads ${TESTDIR}/jtt/reflect ${TESTDIR}/jtt/hotspot"
-echo $COMMAND
-$COMMAND
--- a/runfop.sh	Fri Dec 16 16:46:33 2011 +0100
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,14 +0,0 @@
-#!/bin/bash
-if [ -z "${JDK7}" ]; then
-  echo "JDK7 is not defined."
-  exit 1;
-fi
-if [ -z "${MAXINE}" ]; then
-  echo "MAXINE is not defined. It must point to a maxine repository directory."
-  exit 1;
-fi
-if [ -z "${DACAPO}" ]; then
-  echo "DACAPO is not defined. It must point to a Dacapo benchmark directory."
-  exit 1;
-fi
-${JDK7}/bin/java -graal -Xms1g -Xmx2g -classpath ${DACAPO}/dacapo-9.12-bach.jar -XX:-GraalBailoutIsFatal $* Harness --preserve -n 100 fop 
--- a/runh2.sh	Fri Dec 16 16:46:33 2011 +0100
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,14 +0,0 @@
-#!/bin/bash
-if [ -z "${JDK7}" ]; then
-  echo "JDK7 is not defined."
-  exit 1;
-fi
-if [ -z "${MAXINE}" ]; then
-  echo "MAXINE is not defined. It must point to a maxine repository directory."
-  exit 1;
-fi
-if [ -z "${DACAPO}" ]; then
-  echo "DACAPO is not defined. It must point to a Dacapo benchmark directory."
-  exit 1;
-fi
-${JDK7}/bin/java -graal -Xms1g -Xmx2g -classpath ${DACAPO}/dacapo-9.12-bach.jar -XX:-GraalBailoutIsFatal $* Harness --preserve -n 10 h2 
--- a/runjython.sh	Fri Dec 16 16:46:33 2011 +0100
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,14 +0,0 @@
-#!/bin/bash
-if [ -z "${JDK7}" ]; then
-  echo "JDK7 is not defined."
-  exit 1;
-fi
-if [ -z "${MAXINE}" ]; then
-  echo "MAXINE is not defined. It must point to a maxine repository directory."
-  exit 1;
-fi
-if [ -z "${DACAPO}" ]; then
-  echo "DACAPO is not defined. It must point to a Dacapo benchmark directory."
-  exit 1;
-fi
-${JDK7}/bin/java -graal -Xms1g -Xmx2g -classpath ${DACAPO}/dacapo-9.12-bach.jar -XX:-GraalBailoutIsFatal $* Harness --preserve -n 10 jython 
--- a/runlusearch.sh	Fri Dec 16 16:46:33 2011 +0100
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,17 +0,0 @@
-#!/bin/bash
-if [ -z "${JDK7}" ]; then
-  echo "JDK7 is not defined."
-  exit 1;
-fi
-if [ -z "${MAXINE}" ]; then
-  echo "MAXINE is not defined. It must point to a maxine repository directory."
-  exit 1;
-fi
-if [ -z "${DACAPO}" ]; then
-  echo "DACAPO is not defined. It must point to a Dacapo benchmark directory."
-  exit 1;
-fi
-COMMAND="${JDK7}/bin/java -graal -Xms1g -Xmx2g -esa -classpath ${DACAPO}/dacapo-9.12-bach.jar -XX:-GraalBailoutIsFatal -G:-QuietBailout $* Harness --preserve -n 5 lusearch"
-echo $COMMAND
-$COMMAND
-echo $COMMAND
--- a/runpmd.sh	Fri Dec 16 16:46:33 2011 +0100
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,17 +0,0 @@
-#!/bin/bash
-if [ -z "${JDK7}" ]; then
-  echo "JDK7 is not defined."
-  exit 1;
-fi
-if [ -z "${MAXINE}" ]; then
-  echo "MAXINE is not defined. It must point to a maxine repository directory."
-  exit 1;
-fi
-if [ -z "${DACAPO}" ]; then
-  echo "DACAPO is not defined. It must point to a Dacapo benchmark directory."
-  exit 1;
-fi
-COMMAND="${JDK7}/bin/java -graal -Xms1g -Xmx2g -classpath ${DACAPO}/dacapo-9.12-bach.jar -XX:-GraalBailoutIsFatal -G:-QuietBailout $* Harness --preserve -n 10 pmd"
-echo $COMMAND
-$COMMAND
-echo $COMMAND
--- a/runtests.sh	Fri Dec 16 16:46:33 2011 +0100
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,11 +0,0 @@
-#!/bin/bash
-if [ -z "${JDK7}" ]; then
-  echo "JDK7 is not defined."
-  exit 1;
-fi
-if [ -z "${MAXINE}" ]; then
-  echo "MAXINE is not defined. It must point to a maxine repository directory."
-  exit 1;
-fi
-TESTDIR=${MAXINE}/com.oracle.max.vm/test
-${JDK7}/bin/java -graal -ea -esa -Xcomp -XX:+PrintCompilation -XX:CompileOnly=jtt $@ -Xbootclasspath/p:"${MAXINE}/com.oracle.max.vm/bin" -Xbootclasspath/p:"${MAXINE}/com.oracle.max.base/bin" $@ test.com.sun.max.vm.compiler.JavaTester -verbose=1 -gen-run-scheme=false -run-scheme-package=all ${TESTDIR}/jtt/bytecode ${TESTDIR}/jtt/except ${TESTDIR}/jtt/jdk ${TESTDIR}/jtt/hotpath ${TESTDIR}/jtt/jdk ${TESTDIR}/jtt/lang ${TESTDIR}/jtt/loop ${TESTDIR}/jtt/micro ${TESTDIR}/jtt/optimize ${TESTDIR}/jtt/reflect ${TESTDIR}/jtt/threads ${TESTDIR}/jtt/hotspot
--- a/runxalan.sh	Fri Dec 16 16:46:33 2011 +0100
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,16 +0,0 @@
-#!/bin/bash
-if [ -z "${JDK7}" ]; then
-  echo "JDK7 is not defined."
-  exit 1;
-fi
-if [ -z "${MAXINE}" ]; then
-  echo "MAXINE is not defined. It must point to a maxine repository directory."
-  exit 1;
-fi
-if [ -z "${DACAPO}" ]; then
-  echo "DACAPO is not defined. It must point to a Dacapo benchmark directory."
-  exit 1;
-fi
-COMMAND="${JDK7}/bin/java -graal -Xms1g -Xmx2g -esa -classpath ${DACAPO}/dacapo-9.12-bach.jar -XX:-GraalBailoutIsFatal -G:-QuietBailout $* Harness --preserve -n 20 xalan"
-echo $COMMAND
-$COMMAND